# ExistingDomainObjectDelegate

class ExistingDomainObjectDelegate<T>

Holds a property delegate with the purpose of providing specialized implementations for the `getValue` operator based on the static type of the delegate.

## Types

Companion
Link copied to clipboard
object Companion

## Functions

getValue
Link copied to clipboard
operator fun <T> ExistingDomainObjectDelegate<out T>.getValue(receiver: Any?, property: KProperty<*>): T

Gets the delegate value.